//---------------------------------------------------------------------------

#ifndef SellerH
#define SellerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TSellerForm : public TForm
{
__published:	// IDE-managed Components
        TDataSource *DataSource1;
        TQuery *Query1;
        TStringGrid *SellerList;
        TLabeledEdit *SearchLE;
        TBitBtn *SearchBt;
        TPanel *Panel1;
        TLabeledEdit *SanghoLE;
        TLabeledEdit *PhoneLE;
        TLabeledEdit *FaxLE;
        TMemo *Memo1;
        TLabel *Label1;
        TBitBtn *SaveBt;
        TButton *ReBt;
        TBitBtn *ReReadBt;
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall SellerListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall SaveBtClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ReReadBtClick(TObject *Sender);
        void __fastcall SearchBtClick(TObject *Sender);
        void __fastcall SearchLEKeyPress(TObject *Sender, char &Key);
        void __fastcall SellerListDblClick(TObject *Sender);
        void __fastcall ReBtClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TSellerForm(TComponent* Owner);
        DBRead(String name);
};
//---------------------------------------------------------------------------
extern PACKAGE TSellerForm *SellerForm;
//---------------------------------------------------------------------------
#endif
